Request settings are useful for managing your org's access requests.
Request settings can be read and updated at the org and resource level.
The information provided by request settings may be used to determine if another operation, such as creating a request condition, is valid for a particular organization and resource.
See Access requests - Get started for information on setting up access requests for your organization.
- okta.accessRequests.condition.read
- ACCESS_REQUESTS_ADMIN
Retrieves the request settings for a resource
Resource request settings are useful for determining what kind of request conditions can be created or updated for a resource.
For example:
validAccessScopeSettingsindicates whataccessScopeSettingsmay be passed in aCreate request conditionorUpdate request conditionoperation.validRequesterSettingsindicates whatrequesterSettingsmay be passed in aCreate request conditionorUpdate request conditionoperation.validAccessDurationSettingsindicates the maximum duration the user will have access to the resources.validRiskSettingsindicates whatriskSettingsmay be passed. Currently, it can be at the resource request settings.validRequestOnBehalfOfSettingsindicates the available request on behalf of settings for the resource.requestOnBehalfOfSettingsif they exist, they indicate the settings specified for request on behalf of.riskSettingsif they exist, they indicate the risk settings specified for the resource.
See response examples for various possible request setting scenarios.
Unique identifier for the resource in Okta instance ID format or ORN format
- https://subdomain.okta.comhttps://subdomain.okta.com/governance/api/v2/resources/{resourceId}/request-settings
curl -i -X GET \
'https://subdomain.okta.com/governance/api/v2/resources/{resourceId}/request-settings'A successful request settings get response
Access scope settings that are eligible to be added to a request condition for the specified resource
Request scope settings that are eligible to be added to a request condition for the specified resource
Admin specified access duration settings added to a request condition or risk settings for the specified resource
Specifies if and for whom a requester may request the resource for.
Risk settings that are eligible for the specified resource
Risk settings that are valid for an access request when a risk has been detected for the resource and requesting user
When resource:
- Has entitlement management enabled
- Has at least one entitlement value
- Has at least one entitlement bundle
{ "validAccessScopeSettings": [ { … }, { … } ], "validRequesterSettings": [ { … }, { … } ], "validAccessDurationSettings": { "required": true, "maximumDays": 365, "maximumHours": 72, "maximumWeeks": 52, "supportedTypes": [ … ] }, "validRiskSettings": { "supportedTypes": [] }, "validRequestOnBehalfOfSettings": [ { … }, { … } ] }